Uploaded image for project: 'Titanium SDK/CLI'
  1. Titanium SDK/CLI
  2. TIMOB-25908

Windows: require/import with namespace for Hyperloop

    Details

    • Type: New Feature
    • Status: Closed
    • Priority: Medium
    • Resolution: Fixed
    • Affects Version/s: Hyperloop 3.0.3
    • Fix Version/s: Release 7.3.0
    • Component/s: Windows
    • Labels:
    • Story Points:
      13
    • Sprint:
      2018 Sprint 07 SDK, 2018 Sprint 08 SDK, 2018 Sprint 10 SDK

      Description

      require(package_name).class_name doesn't work for Hyperloop Windows.

      var Popups = require('Windows.UI.Popups.*'); 
      var MessageDialog = Popups.MessageDialog;
      var dialog = new MessageDialog();
      

      This doesn't work because Hyperloop Windows require needs fully qualified class name or enum and require against package name is not implemented.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                kiguchi Kota Iguchi
                Reporter:
                kiguchi Kota Iguchi
                Reviewer:
                Gary Mathews
                Tester:
                Samir Mohammed
              • Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Backbone Issue Sync

                  • Backbone Issue Sync is enabled for your project, but we do not have any synchronization info for this issue.

                    Git Source Code